From: Sophie Brun <sophie@offensive-security.com>
Date: Wed, 27 Sep 2023 11:44:16 +0200
Subject: Use older nodejs version

Use nodejs available in Kali
---
 build/npm/preinstall.js | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/build/npm/preinstall.js b/build/npm/preinstall.js
index b6a0a74..e7e694a 100644
--- a/build/npm/preinstall.js
+++ b/build/npm/preinstall.js
@@ -10,8 +10,8 @@ const minorNodeVersion = parseInt(nodeVersion[2]);
 const patchNodeVersion = parseInt(nodeVersion[3]);
 
 if (!process.env['VSCODE_SKIP_NODE_VERSION_CHECK']) {
-	if (majorNodeVersion < 18 || (majorNodeVersion === 18 && minorNodeVersion < 15)) {
-		console.error('\033[1;31m*** Please use node.js versions >=18.15.x and <19.\033[0;0m');
+	if (majorNodeVersion < 18 || (majorNodeVersion === 18 && minorNodeVersion < 13)) {
+		console.error('\033[1;31m*** Please use node.js versions >=18.13.x and <19.\033[0;0m');
 		err = true;
 	}
 	if (majorNodeVersion >= 19) {
